﻿.table {
	background-color: rgba(255,255,255,0.53);
}

/*datatables anpassung der plus-button-farbe (ausklapp-button bei kleinem bildschirm, der die reihe in der tabelle ausklappt*/
table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > td:first-child:before,
table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > th:first-child:before {
	top: 9px;
	left: 4px;
	height: 14px;
	width: 14px;
	display: block;
	position: absolute;
	color: white;
	border: 2px solid white;
	border-radius: 14px;
	box-shadow: 0 0 3px #444;
	box-sizing: content-box;
	text-align: center;
	text-indent: 0 !important;
	font-family: 'Courier New', Courier, monospace;
	line-height: 14px;
	content: '+';
	background-color: #337ab7;
}

table.dataTable.dtr-inline.collapsed > tbody > tr.parent > td:first-child:before,
table.dataTable.dtr-inline.collapsed > tbody > tr.parent > th:first-child:before {
	content: '-';
	background-color: #d27676;
}

/*datatables anpassung der fixed column farbe*/

table.DTFC_Cloned tr {
	background-color: #edeff7;
	margin-bottom: 0;
}

.table-hover > tbody > tr:hover {
	background-color: #d1d4ed;
	cursor: pointer;
}

.custom-table-header {
	display: flex;
	flex-wrap: wrap;
	align-content: stretch;
}

	.custom-table-header > div {
		margin-right: 10px;
	}

		.custom-table-header > div.button-container {
			display: flex;
			flex-wrap: wrap;
			margin-left: auto;
		}

			.custom-table-header > div.button-container > div {
				margin-right: 5px;
			}

				.custom-table-header > div.button-container > div:last-child {
					margin-right: 0;
				}


		.custom-table-header > div:last-child {
			margin-right: 0;
		}

		.custom-table-header > div.dt-buttons {
			/*text-align: center;*/
			margin-bottom: 5px;
			float: none;
		}

@media screen and (max-width: 767px) {
	div.dataTables_wrapper .custom-table-header > div.dt-buttons {
		text-align: left;
	}

	div.dataTables_wrapper .custom-table-header > div.dataTables_length {
		text-align: left;
	}

	div.dataTables_wrapper .custom-table-header > div.dataTables_filter {
		text-align: right;
	}
}

/***************** ellipsis *********************/
tr:not(.child) > td .cut {	
	position: relative;
}

tr:not(.child) > td .cut-off {	
	/*height: 107px;*/
	overflow: hidden;
	position: relative;	
}

tr.child > td .cut-off {
	height: auto !important;
}

	tr:not(.child) > td .cut-off > .transition {
		height: 20px;
		position: absolute;
		width: 100%;
		/*background-color:red;*/
		background-image: linear-gradient(rgba(249,249,249,0.0),rgba(249,249,249,0.65), rgba(249,249,249,0.9));
		bottom: 0;
	}

tr:not(.child):nth-of-type(even) > td .cut-off > .transition {
	background-image: linear-gradient(rgba(243,240,253,0),rgba(243,240,253,0.65), rgba(243,240,253,0.9));
}

tr:not(.child):hover > td .cut-off > .transition {
	background-image: linear-gradient(rgba(209,212,237,0),rgba(209,212,237,0.65), rgba(209,212,237,0.9));
}

	tr:not(.child) > td .cut::after {
		content: '...';
		font-size:30px;
		color:grey;
		position:absolute;
		/*left:50%;
		transform: translateX(-50%);*/
		right:0;
		bottom:-10px;
	}

tr:not(.child) > td .cut.no-cut::after {
	content:none;
}

/* Bartsch 13.11.2018; neuen Tablehider ausblenden etv...*/
.datatable-hider .hider-table{
    display:none;
}